Skip to content
Shortcut: /, ⌘K or Ctrl+K

Catalogs

View as Markdown

The business product object

Attributes

  • idstringrequired

    Identifier for this resource.

  • retailerIdstring

    Merchant-defined identifier for the catalog item.

  • belongsTostringpattern^[1-9][0-9]{0,18}$

    Opaque Polymorfa resource ID. Keep this value as a string.

  • namestringrequired

    Human-readable name for this resource.

  • descriptionstring

    Human-readable description of this resource.

  • pricestringrequired

    Price as a digit string in thousandths of the declared currency unit.

  • currencystringrequired

    ISO 4217 currency code.

  • urlstring (uri)

    URL associated with this resource.

  • shimmedUrlstring (uri)

    URL for the shimmed.

  • hiddenbooleanrequired

    Whether this resource is hidden from ordinary listings.

  • sanctionedbooleanrequired

    Whether sanctioned.

  • maxAvailableintegermin0

    Specifies max available for this native business product.

  • availabilitystring

    Specifies availability for this native business product.

  • complianceCategorystring

    Specifies compliance category for this native business product.

  • complianceobject

    Structured compliance values for this native business product.

    Show 3 child fields
  • mediaobjectrequired

    Product media gallery entries associated with this catalog item.

    Show 2 child fields
  • salePriceobject

    Structured sale price details for this native business product.

    Show 3 child fields
  • statusobjectrequired

    Structured status details for this native business product.

    Show 2 child fields
  • variantobject

    Structured variant values for this native business product.

    Show 4 child fields
The business product object
{
  "id": "string",
  "retailerId": "string",
  "belongsTo": "739182640518203",
  "name": "string",
  "description": "string",
  "price": "string",
  "currency": "string",
  "url": "https://example.com",
  "shimmedUrl": "https://example.com",
  "hidden": true,
  "sanctioned": true,
  "maxAvailable": 0,
  "availability": "string",
  "complianceCategory": "string",
  "compliance": {
    "countryCodeOrigin": "string",
    "importerName": "string",
    "importerAddress": {
      "street1": "string",
      "street2": "string",
      "city": "string",
      "region": "string",
      "postalCode": "string",
      "countryCode": "string"
    }
  },
  "media": {
    "images": [
      {
        "id": "string",
        "originalUrl": "https://example.com",
        "requestUrl": "https://example.com"
      }
    ],
    "videos": [
      {
        "id": "string",
        "originalUrl": "https://example.com",
        "thumbnailUrl": "https://example.com"
      }
    ]
  },
  "salePrice": {
    "price": "string",
    "startDate": "string",
    "endDate": "string"
  },
  "status": {
    "status": "string",
    "canAppeal": true
  },
  "variant": {
    "availability": {
      "listings": [
        {
          "productId": "string",
          "available": true,
          "options": [
            {
              "name": null,
              "value": null
            }
          ]
        }
      ]
    },
    "listingDetails": {
      "description": "string",
      "lowestPrice": "string",
      "multiPrice": "string"
    },
    "types": [
      {
        "name": "string",
        "options": [
          {
            "value": "string",
            "thumbnail": {
              "id": null,
              "originalUrl": null,
              "requestUrl": null,
              "originalDimensions": null
            }
          }
        ]
      }
    ],
    "properties": [
      {
        "name": "string",
        "value": "string"
      }
    ]
  }
}

Create business catalog

POST/messaging/{session}/business/catalogMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Responses

  • 200Catalog created
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/business/catalogcURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/catalog" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "success": true
  }
}

Create business product

POST/messaging/{session}/business/productsMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • namestringrequiredlength1–256

    Human-readable name for this resource.

  • descriptionstringmax length4096

    Human-readable description of this resource.

  • currencystringpattern^[A-Z]{3}$

    ISO 4217 currency code.

  • pricestringpattern^\d{1,18}$

    Price as a digit string in thousandths of the declared currency unit.

  • salePricestringpattern^\d{1,18}$

    Optional discounted price as a digit string in thousandths of the declared currency unit.

  • urlstring (uri)max length2048

    URL associated with this resource.

  • retailerIdstringmax length256

    Merchant-defined identifier for the catalog item.

  • hiddenboolean

    Whether this resource is hidden from ordinary listings.

  • imagesarray of objectrequireditems1–10

    Images attached to or representing this resource.

    Show 3 child fields
  • videoUrlsarray of string (uri)max items10item max length4096item formaturi

    Video urls associated with this native business product mutation request.

  • complianceCategorystringmax length128

    Specifies compliance category for this native business product mutation request.

  • complianceobject

    Structured compliance values for this native business product mutation request.

    Show 3 child fields
  • widthintegerrange1–1024

    Width in pixels.

  • heightintegerrange1–1024

    Height in pixels.

Responses

  • 200Product created
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 19 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/business/productscURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/products" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "images": [
    {
      "url": "https://example.com",
      "base64": "string",
      "mediaUrl": "https://example.com"
    }
  ]
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "price": "string",
    "currency": "string",
    "hidden": true,
    "sanctioned": true,
    "media": {
      "images": [
        {
          "id": "string"
        }
      ],
      "videos": [
        {
          "id": "string"
        }
      ]
    },
    "status": {
      "canAppeal": true
    }
  }
}

Create business collection

POST/messaging/{session}/business/collectionsMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • namestringrequiredlength1–256

    Human-readable name for this resource.

  • productIdsarray of stringrequireditems1–100item length1–256

    Identifiers of the products included in this section.

Responses

  • 200Collection created
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 2 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/business/collectionscURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/collections" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "productIds": [
    "string"
  ]
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "reviewStatus": "string"
  }
}

Get business catalog

GET/messaging/{session}/business/catalogMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
business:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Query parameters

  • idstringrequiredmax length256pattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

  • afterstringmax length2048

    Specifies after for this query parameter.

  • limitintegerrange1–100

    Specifies limit for this query parameter.

  • widthintegerrange1–1024

    Width in pixels.

  • heightintegerrange1–1024

    Height in pixels.

Responses

  • 200Live catalog page
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 3 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
  • 502Upstream WhatsApp request failed or its response could not be mapped
GET /messaging/{session}/business/catalogcURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/business/catalog?id=<id>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "products": [
      {
        "id": "string",
        "name": "string",
        "price": "string",
        "currency": "string",
        "hidden": true,
        "sanctioned": true,
        "media": {
          "images": [
            {
              "id": null
            }
          ],
          "videos": [
            {
              "id": null
            }
          ]
        },
        "status": {
          "canAppeal": true
        }
      }
    ]
  }
}

Get business product

GET/messaging/{session}/business/products/{productId}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
business:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • productIdstringrequiredmax length256

    Identifier for the product.

Query parameters

  • idstringrequiredmax length256pattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Responses

  • 200Live product
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 19 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
  • 502Upstream WhatsApp request failed or its response could not be mapped
GET /messaging/{session}/business/products/{productId}cURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/business/products/<productId>?id=<id>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "price": "string",
    "currency": "string",
    "hidden": true,
    "sanctioned": true,
    "media": {
      "images": [
        {
          "id": "string"
        }
      ],
      "videos": [
        {
          "id": "string"
        }
      ]
    },
    "status": {
      "canAppeal": true
    }
  }
}

Get business collections

GET/messaging/{session}/business/collectionsMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
business:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Query parameters

  • idstringrequiredmax length256pattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

  • afterstringmax length2048

    Specifies after for this query parameter.

  • collectionLimitintegerrange1–20

    Specifies collection limit for this query parameter.

  • itemLimitintegerrange1–100

    Specifies item limit for this query parameter.

  • widthintegerrange1–1024

    Width in pixels.

  • heightintegerrange1–1024

    Height in pixels.

Responses

  • 200Live collection page
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 2 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
  • 502Upstream WhatsApp request failed or its response could not be mapped
GET /messaging/{session}/business/collectionscURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/business/collections?id=<id>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "collections": [
      {
        "id": "string",
        "name": "string",
        "products": [
          {
            "id": "string",
            "name": "string",
            "price": "string",
            "currency": "string",
            "hidden": true,
            "sanctioned": true,
            "media": {
              "images": null,
              "videos": null
            },
            "status": {
              "canAppeal": null
            }
          }
        ],
        "status": {
          "canAppeal": true
        }
      }
    ]
  }
}

Get business collection

GET/messaging/{session}/business/collections/{collectionId}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
business:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • collectionIdstringrequiredmax length256

    Identifier for the collection.

Query parameters

  • idstringrequiredmax length256pattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

  • afterstringmax length2048

    Specifies after for this query parameter.

  • limitintegerrange1–100

    Specifies limit for this query parameter.

  • widthintegerrange1–1024

    Width in pixels.

  • heightintegerrange1–1024

    Height in pixels.

Responses

  • 200Live collection
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 4 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
  • 502Upstream WhatsApp request failed or its response could not be mapped
GET /messaging/{session}/business/collections/{collectionId}cURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/business/collections/<collectionId>?id=<id>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "products": [
      {
        "id": "string",
        "name": "string",
        "price": "string",
        "currency": "string",
        "hidden": true,
        "sanctioned": true,
        "media": {
          "images": [
            {
              "id": null
            }
          ],
          "videos": [
            {
              "id": null
            }
          ]
        },
        "status": {
          "canAppeal": true
        }
      }
    ],
    "status": {
      "canAppeal": true
    }
  }
}

Get business order

POST/messaging/{session}/business/orders/{orderId}/lookupMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
business:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • orderIdstringrequiredmax length256

    Identifier for the order.

Body

  • tokenstringrequiredlength1–8192

    Opaque token required by the target operation.

Responses

  • 200Order details
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 5 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
  • 502Upstream WhatsApp request failed or its response could not be mapped
POST /messaging/{session}/business/orders/{orderId}/lookupcURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/orders/<orderId>/lookup" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "token": "string"
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "createdAt": 0,
    "price": {
      "subtotal": "string",
      "total": "string",
      "currency": "string"
    },
    "products": [
      {
        "id": "string",
        "price": "string",
        "currency": "string",
        "name": "string",
        "quantity": 0
      }
    ]
  }
}

Update business product

PUT/messaging/{session}/business/products/{productId}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • productIdstringrequiredmax length256

    Identifier for the product.

Body

  • namestringrequiredlength1–256

    Human-readable name for this resource.

  • descriptionstringmax length4096

    Human-readable description of this resource.

  • currencystringpattern^[A-Z]{3}$

    ISO 4217 currency code.

  • pricestringpattern^\d{1,18}$

    Price as a digit string in thousandths of the declared currency unit.

  • salePricestringpattern^\d{1,18}$

    Optional discounted price as a digit string in thousandths of the declared currency unit.

  • urlstring (uri)max length2048

    URL associated with this resource.

  • retailerIdstringmax length256

    Merchant-defined identifier for the catalog item.

  • hiddenboolean

    Whether this resource is hidden from ordinary listings.

  • imagesarray of objectrequireditems1–10

    Images attached to or representing this resource.

    Show 3 child fields
  • videoUrlsarray of string (uri)max items10item max length4096item formaturi

    Video urls associated with this native business product mutation request.

  • complianceCategorystringmax length128

    Specifies compliance category for this native business product mutation request.

  • complianceobject

    Structured compliance values for this native business product mutation request.

    Show 3 child fields
  • widthintegerrange1–1024

    Width in pixels.

  • heightintegerrange1–1024

    Height in pixels.

Responses

  • 200Product updated
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 19 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/business/products/{productId}cURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/business/products/<productId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "images": [
    {
      "url": "https://example.com",
      "base64": "string",
      "mediaUrl": "https://example.com"
    }
  ]
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "price": "string",
    "currency": "string",
    "hidden": true,
    "sanctioned": true,
    "media": {
      "images": [
        {
          "id": "string"
        }
      ],
      "videos": [
        {
          "id": "string"
        }
      ]
    },
    "status": {
      "canAppeal": true
    }
  }
}

Update business collection

PATCH/messaging/{session}/business/collections/{collectionId}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • collectionIdstringrequiredmax length256

    Identifier for the collection.

Body

  • namestringlength1–256

    Human-readable name for this resource.

  • addProductIdsarray of stringitems0–100item length1–256

    Add product ids associated with this native business collection update request.

  • removeProductIdsarray of stringitems0–100item length1–256

    Remove product ids associated with this native business collection update request.

Responses

  • 200Collection updated
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 2 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PATCH /messaging/{session}/business/collections/{collectionId}cURL
Not available with the Test key. Use a team key or project token.
curl -X PATCH "https://api.polymorfa.com/messaging/<session>/business/collections/<collectionId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "addProductIds": [
    "string"
  ],
  "removeProductIds": [
    "string"
  ]
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "reviewStatus": "string"
  }
}

Set business cart enabled

PATCH/messaging/{session}/business/catalog/cartMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • enabledbooleanrequired

    Whether this feature is enabled.

Responses

  • 200Cart setting updated
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PATCH /messaging/{session}/business/catalog/cartcURL
Not available with the Test key. Use a team key or project token.
curl -X PATCH "https://api.polymorfa.com/messaging/<session>/business/catalog/cart" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "enabled": true
}'
Response
{
  "success": true,
  "data": {
    "success": true
  }
}

Set business product visibility

PATCH/messaging/{session}/business/products/{productId}/visibilityMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • productIdstringrequiredmax length256

    Identifier for the product.

Body

  • hiddenbooleanrequired

    Whether this resource is hidden from ordinary listings.

Responses

  • 200Product visibility updated
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PATCH /messaging/{session}/business/products/{productId}/visibilitycURL
Not available with the Test key. Use a team key or project token.
curl -X PATCH "https://api.polymorfa.com/messaging/<session>/business/products/<productId>/visibility" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "hidden": true
}'
Response
{
  "success": true,
  "data": {
    "success": true
  }
}

Appeal business product

POST/messaging/{session}/business/products/{productId}/appealMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • productIdstringrequiredmax length256

    Identifier for the product.

Body

  • reasonstringrequiredlength1–4096

    Reason for the reported state or outcome.

Responses

  • 200Product appeal submitted
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/business/products/{productId}/appealcURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/products/<productId>/appeal" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "reason": "string"
}'
Response
{
  "success": true,
  "data": {
    "success": true
  }
}

Reorder business collections

POST/messaging/{session}/business/collections/reorderMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • movesarray of objectrequireditems1–100

    Moves associated with this native business collection reorder request.

    Show 3 child fields

Responses

  • 200Collections reordered
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/business/collections/reordercURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/collections/reorder" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "moves": [
    {
      "collectionId": "string",
      "fromIndex": 0,
      "toIndex": 0
    }
  ]
}'
Response
{
  "success": true,
  "data": {
    "success": true
  }
}

Appeal business collection

POST/messaging/{session}/business/collections/{collectionId}/appealMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • collectionIdstringrequiredmax length256

    Identifier for the collection.

Body

  • reasonstringrequiredlength1–4096

    Reason for the reported state or outcome.

Responses

  • 200Collection appeal submitted
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/business/collections/{collectionId}/appealcURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/collections/<collectionId>/appeal" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "reason": "string"
}'
Response
{
  "success": true,
  "data": {
    "success": true
  }
}

Delete business product

DELETE/messaging/{session}/business/products/{productId}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • productIdstringrequiredmax length256

    Identifier for the product.

Responses

  • 200Product deleted
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
DELETE /messaging/{session}/business/products/{productId}cURL
Not available with the Test key. Use a team key or project token.
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/business/products/<productId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "deletedCount": 0
  }
}

Delete business collection

DELETE/messaging/{session}/business/collections/{collectionId}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • collectionIdstringrequiredmax length256

    Identifier for the collection.

Responses

  • 200Collection deleted
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
DELETE /messaging/{session}/business/collections/{collectionId}cURL
Not available with the Test key. Use a team key or project token.
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/business/collections/<collectionId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "success": true
  }
}